vmware_vcenter_settings – Configures general settings on a vCenter server — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# vmware_vcenter_settings – Configures general settings on a vCenter server

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to configure the vCenter server general settings (except the statistics).
- The statistics can be configured with the module `vmware_vcenter_statistics`.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
database dictionary | Default: {"event_cleanup": true, "event_retention": 30, "max_connections": 50, "task_cleanup": true, "task_retention": 30} | The database settings for vCenter server. Valid attributes are: - `max_connections` (int): Maximum connections. (default: 50) - `task_cleanup` (bool): Task cleanup. (default: true) - `task_retention` (int): Task retention (days). (default: 30) - `event_cleanup` (bool): Event cleanup. (default: true) - `event_retention` (int): Event retention (days). (default: 30)
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
logging_options string | Choices: none error warning info ← verbose trivia | The level of detail that vCenter server usesfor log files.
mail dictionary |  | The settings vCenter server uses to send email alerts. Valid attributes are: - `server` (str): Mail server - `sender` (str): Mail sender address
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
runtime_settings dictionary |  | The unique runtime settings for vCenter server. Valid attributes are: - `unique_id` (int): vCenter server unique ID. - `managed_address` (str): vCenter server managed address. - `vcenter_server_name` (str): vCenter server name. (default: FQDN)
snmp_receivers dictionary | Default: {"snmp_receiver_1_community": "public", "snmp_receiver_1_enabled": true, "snmp_receiver_1_port": 162, "snmp_receiver_1_url": "localhost", "snmp_receiver_2_community": "", "snmp_receiver_2_enabled": false, "snmp_receiver_2_port": 162, "snmp_receiver_2_url": "", "snmp_receiver_3_community": "", "snmp_receiver_3_enabled": false, "snmp_receiver_3_port": 162, "snmp_receiver_3_url": "", "snmp_receiver_4_community": "", "snmp_receiver_4_enabled": false, "snmp_receiver_4_port": 162, "snmp_receiver_4_url": ""} | SNMP trap destinations for vCenter server alerts. Valid attributes are: - `snmp_receiver_1_url` (str): Primary Receiver ULR. (default: "localhost") - `snmp_receiver_1_enabled` (bool): Enable receiver. (default: True) - `snmp_receiver_1_port` (int): Receiver port. (default: 162) - `snmp_receiver_1_community` (str): Community string. (default: "public") - `snmp_receiver_2_url` (str): Receiver 2 ULR. (default: "") - `snmp_receiver_2_enabled` (bool): Enable receiver. (default: False) - `snmp_receiver_2_port` (int): Receiver port. (default: 162) - `snmp_receiver_2_community` (str): Community string. (default: "") - `snmp_receiver_3_url` (str): Receiver 3 ULR. (default: "") - `snmp_receiver_3_enabled` (bool): Enable receiver. (default: False) - `snmp_receiver_3_port` (int): Receiver port. (default: 162) - `snmp_receiver_3_community` (str): Community string. (default: "") - `snmp_receiver_4_url` (str): Receiver 4 ULR. (default: "") - `snmp_receiver_4_enabled` (bool): Enable receiver. (default: False) - `snmp_receiver_4_port` (int): Receiver port. (default: 162) - `snmp_receiver_4_community` (str): Community string. (default: "")
timeout_settings dictionary | Default: {"long_operations": 120, "normal_operations": 30} | The vCenter server connection timeout for normal and long operations. Valid attributes are: - `normal_operations` (int) (default: 30) - `long_operations` (int) (default: 120)
user_directory dictionary | Default: {"query_limit": true, "query_limit_size": 5000, "timeout": 60, "validation": true, "validation_period": 1440} | The user directory settings for the vCenter server installation. Valid attributes are: - `timeout` (int): User directory timeout. (default: 60) - `query_limit` (bool): Query limit. (default: true) - `query_limit_size` (int): Query limit size. (default: 5000) - `validation` (bool): Mail Validation. (default: true) - `validation_period` (int): Validation period. (default: 1440)
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user
validate_certs boolean | Choices: no yes ← | Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted. If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead. Environment variable support added in Ansible 2.6. If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested with vCenter Server Appliance (vCSA) 6.5 and 6.7

## Examples

    - name: Configure vCenter general settings
      vmware_vcenter_settings:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        database:
          max_connections: 50
          task_cleanup: true
          task_retention: 30
          event_cleanup: true
          event_retention: 30
        runtime_settings:
          unique_id: 1
          managed_address: "{{ ansible_default_ipv4.address }}"
          vcenter_server_name: "{{ inventory_hostname }}"
        user_directory:
          timeout: 60
          query_limit: true
          query_limit_size: 5000
          validation: true
          validation_period: 1440
        mail:
          server: mail.example.com
          sender: vcenter@{{ inventory_hostname }}
        snmp_receivers:
          snmp_receiver_1_url: localhost
          snmp_receiver_1_enabled: true
          snmp_receiver_1_port: 162
          snmp_receiver_1_community: public
        timeout_settings:
          normal_operations: 30
          long_operations: 120
        logging_options: info
        validate_certs: no
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
results dictionary | always | metadata about vCenter settings Sample: {'changed': False, 'db_event_cleanup': True, 'db_event_retention': 30, 'db_max_connections': 50, 'db_task_cleanup': True, 'db_task_retention': 30, 'directory_query_limit': True, 'directory_query_limit_size': 5000, 'directory_timeout': 60, 'directory_validation': True, 'directory_validation_period': 1440, 'logging_options': 'info', 'mail_sender': 'vcenter@vcenter01.example.com', 'mail_server': 'mail.example.com', 'msg': 'vCenter settings already configured properly', 'runtime_managed_address': '192.168.1.10', 'runtime_server_name': 'vcenter01.example.com', 'runtime_unique_id': 1, 'timeout_long_operations': 120, 'timeout_normal_operations': 30}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Christian Kotte (@ckotte)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.